## org.apache.cocoon.interpreter
Interface Interpreter

All Superinterfaces:
  Actor

All Known Implementing Classes:
  AbstractInterpreter

public interface Interpreter
extends Actor

This class implements a language interpreter.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:25 $
Author:
  Ricardo Rocha

Method Summary
`Module` `createModule(java.lang.String moduleName)`
`java.util.Enumeration` `getModules()`

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Method Detail

### getModules

    public java.util.Enumeration getModules()

### createModule

    public Module createModule(java.lang.String moduleName)
                        throws LanguageException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.